Update Test Transaction Configuration
curl --request PUT \
--url https://app.toku.com/api/tokuApi/v1/updateTestTransactionConfiguration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"orgTestTransactionConfigID": "<string>",
"config": {
"walletNetworkID": "<string>",
"testTransactionDecimalAmount": 123,
"numberOfTransactionIn24HoursPerUser": 500.5,
"blockExplorerTransactionUrlPrefix": "<string>",
"isGasToken": true,
"tokenAddress": "<string>"
}
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/updateTestTransactionConfiguration"
payload = {
"orgTestTransactionConfigID": "<string>",
"config": {
"walletNetworkID": "<string>",
"testTransactionDecimalAmount": 123,
"numberOfTransactionIn24HoursPerUser": 500.5,
"blockExplorerTransactionUrlPrefix": "<string>",
"isGasToken": True,
"tokenAddress": "<string>"
}
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orgTestTransactionConfigID: '<string>',
config: {
walletNetworkID: '<string>',
testTransactionDecimalAmount: 123,
numberOfTransactionIn24HoursPerUser: 500.5,
blockExplorerTransactionUrlPrefix: '<string>',
isGasToken: true,
tokenAddress: '<string>'
}
})
};
fetch('https://app.toku.com/api/tokuApi/v1/updateTestTransactionConfiguration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"networkID": "880e8400-e29b-41d4-a716-446655440003",
"name": "Ethereum",
"testTransactionConfiguration": {}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Organization
Update Test Transaction Configuration
Updates the test transaction configuration settings.
PUT
/
updateTestTransactionConfiguration
Update Test Transaction Configuration
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN ⌘I
